View Issue Details

IDProjectCategoryView StatusLast Update
0000469Far Manager 1.7xEditorpublic2008-03-22 16:37
ReporterRaistlinAssigned ToDrKnS 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.71 
Target VersionFixed in Version1.71 
Summary0000469: Ошибочное сообщение "Длина имени файла превышает системные ограничения"
DescriptionСтавим курсор на файл, длина имени которого с путём более 255 символов. Получить такой файл сложно, но можно (нужен IE7):
1) создаём папку C:\Symlinks;
2) в ней воссоздаём полный путь к папке Favorites (напр., C:\SymLinks\Documents and Settings\user\Favorites);
3) переименовываем оригинальную папку Favorites, вместо неё создаём симлинк на C:\SymLinks\Documents and Settings\user\Favorites;
4) идём по ссылке http://new-oboi.h17.ru/wallpaper-advice.html, затем открываем ещё вкладку, сохраняем группу вкладок в Избранном.
Находим в C:\SymLinks\Documents and Settings\user\Favorites сохранённую ссылку, ставим на неё курсор, жмём Shift-F4, вводим любое имя файла и получаем сообщение: "Длина имени файла превышает системные ограничения".
TagsNo tags attached.
Build2326

Activities

samlyukov

2008-02-10 01:41

reporter   bugnote:0001175

Мелкомягкие:
Maximum Path Length:

In the Windows API, the maximum length for a path is MAX_PATH, which is defined as 260 characters. A path is structured in the following order: drive letter, colon, backslash, components separated by backslashes, and a null-terminating character, for example, the maximum path on the D drive is D:\<256 chars>NUL.

The _Unicode_ versions of several functions permit a maximum path length of approximately 32,000 characters composed of components up to 255 characters in length. To specify that kind of path, use the "\\?\" prefix.

samlyukov

2008-02-10 01:46

reporter   bugnote:0001176

а во 2-х это дубль с http://bugs.farmanager.com/view.php?id=423

Raistlin

2008-02-10 07:18

reporter   bugnote:0001177

Читаем текст бага внимательнее. Я знаю, что есть такое ограничение WinAPI. Речь о том, что, находясь в каталоге, длина пути к которому, скажем, 100 символов, и стоя на файле, имя которого пусть ещё 200 символов, мы жмём Shift-F4, вводим имя файла в 10 символов, стукаем по Enter и совершенно неоправданно (ибо 100 + 10 = 110) получаем упомянутое сообщение.

DrKnS

2008-02-10 10:06

administrator   bugnote:0001178

Фар при открытии файла в редакторе проверяет, нет ли уже открытого редактора с этим же файлом.
Для этого у каждого окна запрашивается его тип и имя.
У окна с типом "редактор" имя - это имя редактируемого файла.
У окна с типом "панель" имя - это имя файла под курсором.
Тут и спотыкаемся.

DrKnS

2008-03-13 14:22

administrator   bugnote:0001310

После 2326/441

Issue History

Date Modified Username Field Change
2008-02-09 16:18 Raistlin New Issue
2008-02-10 01:41 samlyukov Note Added: 0001175
2008-02-10 01:46 samlyukov Note Added: 0001176
2008-02-10 07:18 Raistlin Note Added: 0001177
2008-02-10 10:06 DrKnS Note Added: 0001178
2008-03-13 14:22 DrKnS Build => 2326
2008-03-13 14:22 DrKnS Status new => resolved
2008-03-13 14:22 DrKnS Fixed in Version => 1.71
2008-03-13 14:22 DrKnS Resolution open => fixed
2008-03-13 14:22 DrKnS Assigned To => DrKnS
2008-03-13 14:22 DrKnS Note Added: 0001310
2008-03-13 14:22 DrKnS Status resolved => feedback
2008-03-22 16:37 DrKnS Status feedback => closed